Loading...
Searching...
No Matches
casacore::TaQLUnaryNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a unary operator. More...

`#include <TaQLNodeDer.h>`

## Public Types

enum | Type { U_MINUS , U_NOT , U_EXISTS , U_NOTEXISTS , U_BITNOT }
| Do not change the values of this enum, as objects might be persistent. More...

## Public Member Functions

| TaQLUnaryNodeRep (Type type, const TaQLNode &child)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

Type | itsType
TaQLNode | itsChild

## Detailed Description

Raw TaQL parse tree node defining a unary operator.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding a unary operator and operand. The operators supported are -, ~, NOT, EXISTS, and NOT EXISTS. Note the unary operator + is superfluous and is ignored by the parser.

Definition at line 152 of file TaQLNodeDer.h.

## Member Enumeration Documentation

## Type

enum casacore::TaQLUnaryNodeRep::Type

Do not change the values of this enum, as objects might be persistent.

Enumerator
U_MINUS |
U_NOT |
U_EXISTS |
U_NOTEXISTS |
U_BITNOT |

Definition at line 156 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLUnaryNodeRep()

casacore::TaQLUnaryNodeRep::TaQLUnaryNodeRep | ( | Type | type,
|  | const TaQLNode & | child )

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLUnaryNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLUnaryNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLUnaryNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLUnaryNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsChild

TaQLNode casacore::TaQLUnaryNodeRep::itsChild

Definition at line 168 of file TaQLNodeDer.h.

## itsType

Type casacore::TaQLUnaryNodeRep::itsType

Definition at line 167 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h